Transfer Group Member

Lets you transfer members from one group to another.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
❗️

Make sure you have the appropriate access control configured. For more information, see access group documentation.

Example request

curl --location 'https://eu.api.capillarytech.com/v2/userGroup2/transfer' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic bWFkaHVfcmI3MjU2YQ==' \
--header 'Cookie: _cfuvid=vzCvOnzGrFLOd.qyWq3C1wR4U_d0NN8lePwtil_RTVU-1774957797145-0.0.1.1-604800000' \
--data '{
    "leaveGroupId": "3962910",
    "joinGroupId": "3963208",
    "userIds": [568563144]
}
'

Body parameters

Body parametersData typeMandatoryDescription
leaveGroupIdLongyesGroup ID from which the customer needs to be removed. Ensure the customer is a member of the group.
joinGroupIdLongyesGroup ID to which the customer needs to join.
userIdsArrayyesUnique ID of the customers that you want to transfer to the new group.

Example response

{
    "warnings": [],
    "errors": [],
    "success": true
}

Response parameters

ParameterDescription
warningsThis is an array containing any warning messages generated during the processing of the request.
errorsThis is an array containing any error messages that were generated if the request failed for some reason.
successThis is a boolean value indicating whether the request was successful.

Error code

Error codeDescription
403leaveGroupId and joinGroupId is mandatory.
1619group id invalid.
1620user id does not belong to group id.
1624group transfer not allowed for primary member.
Body Params
int32
required

Group ID from which the customer needs to be removed. Ensure the the customer is a member of the group.

int32
required

Group ID to which the customer needs to join.

userIds
array of int64s
required

Unique ID of the customers that you want to transfer to the new group.

userIds*
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json